Page MenuHomePhabricator

Remove participants endpoint: Check if the event belongs to the current wiki
Closed, ResolvedPublic2 Estimated Story Points

Description

Acceptance criteria

  • Given a user tries to remove participants using the "Remove participants from an event" API endpoint
    • And the event does not belong to the current wiki
    • Then they should receive a 4xx response with an error message similar to that used in T358781
    • And this new error should be documented on mediawiki.org

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptMar 6 2024, 11:05 PM
ifried set the point value for this task to 2.Mar 7 2024, 3:19 PM
ifried subscribed.

Moved to in review after team discussion on how we will unblock this work, which is: Remove open/close in all cases (whether on the local or foreign wiki) from the kebab menu, and redirect users to special delete page if on a foreign wiki

Daimona changed the task status from Stalled to Open.Apr 4 2024, 2:31 PM

Change #1012407 had a related patch set uploaded (by Cmelo; author: Mhorsey):

[mediawiki/extensions/CampaignEvents@master] RemoveParticipantsFromEventHandler: fail if the event is not local

https://gerrit.wikimedia.org/r/1012407

Change #1012407 merged by jenkins-bot:

[mediawiki/extensions/CampaignEvents@master] RemoveParticipantsFromEventHandler: fail if the event is not local

https://gerrit.wikimedia.org/r/1012407

Given a user tries to remove participants using the "Remove participants from an event" API endpoint
And the event does not belong to the current wiki
โœ… Then they should receive a 4xx response with an error message similar to that used in T358781

T359492.png (478ร—1 px, 79 KB)

โŒ And this new error should be documented on mediawiki.org
@MHorsey-WMF The error message Please remove participants on XXX, the wiki where the event was created. needs to be added to the Remove participants from an event documentation on mediawiki.org

Given a user tries to remove participants using the "Remove participants from an event" API endpoint
And the event does not belong to the current wiki
โœ… Then they should receive a 4xx response with an error message similar to that used in T358781

T359492.png (478ร—1 px, 79 KB)

โŒ And this new error should be documented on mediawiki.org
@MHorsey-WMF The error message Please remove participants on XXX, the wiki where the event was created. needs to be added to the Remove participants from an event documentation on mediawiki.org

โœ… Error message is now documented on mediawiki.org

Sending to product sign off

The global implementation work is complete and we have released to another wiki (Igbo Wikipedia), so I'm marking this work as Done.